# Cartography of DH2020

This cartography is specifically designed to look at conferences in a visual way. All the authors are arranged in the space according to a lexical distance, which implies that the more two authors are close, the more their dictionaries overlap. The lexical distance is calculated from the short abstracts, along with their title and keywords, using the TF-IDF algorithm. Such an algorithm enables us to find the most representative keywords for each scholar with respect to the entire scientific community.

The cartography of DH2020 is an open-access tool available at [https://rodighiero.github.io/DH2020/](https://rodighiero.github.io/DH2020/)

We believe that the lexical map represents a more democratic way to represent scholars. Relationships are not based on exclusive citations, which draw an academic hierarchy among scholars, but rather on public and sharable verbal units, the terms.

The goal is the creation of an instrument in which the author can immediately recognize his/herself. Likewise, the author is invited to recognize his/her visual neighborhood, which should display co-authors and language-related peers. The cartography interpretation is completely subjective as well as its creation, the cartography is meant to be a visual instrument to stimulate reflection and foster interesting conversation.

The cartography of 2020 was made possible by the outstanding contribution of May Ning, who brilliantly took care of the conference dataset, and Constance Crompton, who enthusiastically supported the idea to create a visual representation of the DH2020.

More information about the visual method in the article titled ["Mapping as a Contemporary Instrument for Orientation in Conferences"](https://doi.org/10.5281/zenodo.3611341) by Chloe Moon and Dario Rodighiero.
